Bug 961372 - cython: ldexp() and frexp() wrongly declared
cython: ldexp() and frexp() wrongly declared
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Cython (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 09:41 EDT by Paulo Andrade
Modified: 2014-02-05 16:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:17:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-05-09 09:41:04 EDT
sagemath-5.9 fails to build in f18 due to the upstream
already corrected bug:

http://trac.cython.org/cython_trac/ticket/801
Comment 1 Paulo Andrade 2013-05-10 09:05:34 EDT
The problem actually also happens in f19. Only
rawhide cython has correct definitions.
Comment 2 Paulo Andrade 2013-05-11 11:54:09 EDT
For the moment, I added this patch
http://pkgs.fedoraproject.org/cgit/sagemath.git/commit/?id=173cd60d9a5a1b78159c5e06adcc9fbec18abb7b
that allows building sagemath 5.9 in f18, and will
help Jerry with ntl and m4ri* soname updates for f19.
Comment 3 Fedora End Of Life 2013-12-21 08:27:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:17:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.